Skip to main content
GET
/
contacts
/
search-by-email
Search contact by email
curl --request GET \
  --url https://{domain}/api/site/contacts/search-by-email \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "name": "John Doe",
  "email": "john@doe.com",
  "phone": "+123456789",
  "note": "<string>",
  "address": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "country": "<string>",
  "companyName": "<string>",
  "createdOn": 1573240303,
  "properties": [
    {
      "name": "lead_status",
      "value": "contacted"
    }
  ],
  "tags": [
    "tag1",
    "tag2"
  ],
  "memberId": 487,
  "subscribed": true,
  "subscriberLists": [
    0,
    87647751
  ]
}

Authorizations

Authorization
string
header
required

Pass your API key as: Authorization: Bearer <API KEY>.

Query Parameters

email
string<email>
required

The email address to look for.

Example:

"john@doe.com"

Response

The matching contact.

id
integer

Unique identifier.

Example:

123

name
string

Contact name.

Example:

"John Doe"

email
string<email>

Email address of the contact.

Example:

"john@doe.com"

phone
string

Contact phone.

Example:

"+123456789"

note
string

Private note.

address
string
city
string
state
string
zip
string
country
string
companyName
string
createdOn
integer<int64>

Timestamp in Unix seconds since epoch.

Example:

1573240303

properties
object[]

Array of custom properties, as defined in the CRM section of your website.

tags
string[]

List of tags assigned to the contact.

Example:
["tag1", "tag2"]
memberId
integer

Member id if assigned to contact.

Example:

487

subscribed
boolean

Whether the contact is a subscriber (for email marketing).

subscriberLists
integer[]

Array of subscriber list IDs (email marketing lists).

Example:
[0, 87647751]
Last modified on June 20, 2026